/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spi.services.contribution;

/**
 * @version $Rev: 176 $ $Date: 2007-06-06 21:30:22 +0100 (Wed, 06 Jun 2007) $
 */
public final class ContributionConstants {
    /**
     * The name and location of the sca metadata artifact
     */
    public static final String SCA_CONTRIBUTION_META = "META-INF/sca-contribution.xml";

    /**
     * The name and location of the generated sca metadata artifact
     */
    public static final String SCA_CONTRIBUTION_GENERATED_META = "META-INF/sca-contribution-generated.xml";

    public static final String DEFAULT_STORE = "DefaultStore";

    private ContributionConstants() {
    }
}
